summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2008-02-13 18:59:53 -0500
committerBill Nottingham <notting@redhat.com>2008-02-13 18:59:53 -0500
commit1e0f99f8068633310e20a84d0c9cecd4f86fcec0 (patch)
tree99b7a9e0907f5a6caf3627c18dac0c6e05a4b750
parent51e7a815596a41a527bdcfaaee0df59300c96358 (diff)
downloadreleng-1e0f99f8068633310e20a84d0c9cecd4f86fcec0.tar.gz
releng-1e0f99f8068633310e20a84d0c9cecd4f86fcec0.tar.xz
releng-1e0f99f8068633310e20a84d0c9cecd4f86fcec0.zip
do the sync ourselves
-rwxr-xr-xscripts/buildrawhide15
1 files changed, 14 insertions, 1 deletions
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 7c11f74..7e03827 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -1,7 +1,6 @@
#!/bin/sh
# runs currently on releng1.fedora.phx.redhat.com
-# invoked by a script on porkchop.redhat.com (internal) that does the rsync afterwards
DATE=$1
@@ -41,3 +40,17 @@ for arch in i386 x86_64 ppc ; do
wait
mock -r fedora-rawhide-x86_64 --clean
+
+ wait
+ fi
+
+[ -n "$NOSYNC" ] && exit $rc
+cd /tmp
+# data
+su ftpsync -c "rsync $RSYNC_OPTS -avH --exclude repodata/ /mnt/koji/mash/rawhide-$VER/development/ $DESTPATH"
+# repodata & cleanup
+su ftpsync -c "rsync $RSYNC_OPTS -avH --delete --delete-after /mnt/koji/mash/rawhide-$VER/development/ $DESTPATH"
+if [ "$?" = "0" ]; then
+ cat /mnt/koji/mash/rawhide-$VER/logs/treediff /mnt/koji/mash/rawhide-$VER/logs/depcheck | su rawhide -c "mail -s 'rawhide report: '$VER' changes' fedora-devel-list@redhat.com,fedora-test-list@redhat.com"
+fi
+exit 0